#ifndef __VEC4F__
#define __VEC4F__

#include <stdlib.h>

class Vec3f;

class Vec4f
{
public:

	Vec4f(float x = 0, float y = 0, float z = 0, float w = 1);

	Vec4f(Vec3f source);

	virtual ~Vec4f();

	void toVec3f(Vec3f* target);

	void scale( float factor);

	void mult( Vec4f* other);

	Vec4f &operator = (const Vec4f& other);

	float x;
	float y;
	float z;
	float w;
};

#endif __VEC4F__